### Enumeration

# EBackend CacheError

since: 3.26

#### Declaration

    enum EBackend.CacheError

#### Description [src]

Defines the types of possible errors reported by the `ECache`.

Available since: 3.26

#### Members

`E_CACHE_ERROR_ENGINE`

  An error was reported from the SQLite engine.

  - Value: `0`
  - Available since: 3.26
`E_CACHE_ERROR_CONSTRAINT`

  The error occurred due to an explicit constraint, like when attempting to add two objects with the same UID.

  - Value: `1`
  - Available since: 3.26
`E_CACHE_ERROR_NOT_FOUND`

  An object was not found by UID (this is different from a query that returns no results, which is not an error).

  - Value: `2`
  - Available since: 3.26
`E_CACHE_ERROR_INVALID_QUERY`

  A query was invalid.

  - Value: `3`
  - Available since: 3.26
`E_CACHE_ERROR_UNSUPPORTED_FIELD`

  A field requested for inclusion in summary is not supported.

  - Value: `4`
  - Available since: 3.26
`E_CACHE_ERROR_UNSUPPORTED_QUERY`

  A query was not supported.

  - Value: `5`
  - Available since: 3.26
`E_CACHE_ERROR_END_OF_LIST`

  An attempt was made to fetch results past the end of a the list.

  - Value: `6`
  - Available since: 3.26
`E_CACHE_ERROR_LOAD`

  An error occured while loading or creating the database.

  - Value: `7`
  - Available since: 3.26
`E_CACHE_ERROR_CORRUPT`

  The database file is corrupt. (Since: 3.44).

  - Value: `8`
  - Available since: 3.26